%define build_plugin 0

Name:		xrx
Version:	1.0.4
Release:	%{mkrel 2}
Summary:	RX helper program 
Group:		Development/X11
Source0:	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libx11-devel >= 1.0.0
BuildRequires:	libxau-devel >= 1.0.0
BuildRequires:	libxext-devel >= 1.0.0
BuildRequires:	libxt-devel >= 1.0.0
BuildRequires:	libxaw-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	x11-xtrans-devel >= 1.0.0
%if %build_plugin
# for npapi.h
BuildRequires:	xulrunner-devel
%endif

%description
The xrx helper program may be used with any Web browser to interpret documents
in the RX MIME type format and start remote applications.

%if %build_plugin
%package plugin
Group:		Development/X11
Summary:	RX browser plugins
Obsoletes:	%{mklibname xrx 0} < %{version}-%{release}
Obsoletes:	%{mklibname xrxnest 0} < %{version}-%{release}
Obsoletes:	%{mklibname xrx -d} < %{version}-%{release}
Obsoletes:	%{mklibname xrx -d -s} < %{version}-%{release}

%description plugin
Mozilla-type browser plugins to allow the handling of documents in the
RX MIME type format to start remote applications.
%endif

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %build_plugin
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
mv %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/mozilla/plugins
%else
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_mandir}/man1/libxrx.*
%endif

rm -f %{buildroot}%{_libdir}/*.*a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xrx
%{_mandir}/man1/xrx.1*

%if %build_plugin
%files plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/*.so
%{_mandir}/man1/libxrx.1*
%endif


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 387375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 pterjan <pterjan> 1.0.4-1.mga1
+ Revision: 37323
- Disable mozilla plugin, unlikely to get ported to recent firefox
- Update to 1.0.4

  + ennael <ennael>
    - imported package xrx

